Debian Bug report logs - #681404
ITP: garmin-plugin -- browser plugin for communication with the Garmin Connect service

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ralf Treinen <treinen@debian.org>

Date: Thu, 12 Jul 2012 22:47:19 UTC

Owned by: Ralf Treinen <treinen@debian.org>

Severity: wishlist

Fixed in version garmin-plugin/0.3.14-1

Done: Ralf Treinen <treinen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-running-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#681404; Package wnpp. (Thu, 12 Jul 2012 22:47:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-running-devel@lists.alioth.debian.org, wnpp@debian.org. (Thu, 12 Jul 2012 22:48:53 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: garmin-plugin -- browser plugin for communication with the Garmin Connect service
Date: Fri, 13 Jul 2012 00:37:51 +0200
Package: wnpp
Severity: wishlist
Owner: Ralf Treinen <treinen@debian.org>

* Package name    : garmin-plugin
  Version         : 0.3.12-1
  Upstream Author : Andreas Diesner <garminplugin@andreas-diesner.de>
* URL             : http://www.andreas-diesner.de/garminplugin/
* License         : GPL-3
  Programming Lang: C++
  Description     : browser plugin for communication with the Garmin Connect service

 This browser plugin has the same methods and properties as the official 
 Garmin Communicator Plugin (http://www8.garmin.com/products/communicator/).
 It can be used to transfer GPX files (Geocache Descriptions) to your garmin
 device using the official Garmin Javascript API. Its functionality depends on
 the device you use. 
  - Edge305/Forerunner305: ReadFitnessData, ReadGpsData, No write support
  - Edge705/Oregon/Dakota: ReadFitnessData, ReadGpsData, Write Gpx files
  - Edge800: ReadFitnessData, Write Gpx/Tcx Files
  - Other devices: Executes external command to write Gpx to device 

Remarks:
- will be team maintained by the the pkg-running team
- possibly has to go into contrib since it is made for interaction with a
  non-free service.

-Ralf.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ralf Treinen <treinen@debian.org>:
Bug#681404; Package wnpp. (Fri, 13 Jul 2012 02:55:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ralf Treinen <treinen@debian.org>. (Fri, 13 Jul 2012 02:55:47 GMT) Full text and rfc822 format available.

Message #10 received at 681404@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Ralf Treinen <treinen@debian.org>, 681404@bugs.debian.org
Subject: Re: [Pkg-running-devel] Bug#681404: ITP: garmin-plugin -- browser plugin for communication with the Garmin Connect service
Date: Thu, 12 Jul 2012 20:33:23 -0600
[Message part 1 (text/plain, inline)]
Quoting Ralf Treinen (treinen@debian.org):
> Package: wnpp
> Severity: wishlist
> Owner: Ralf Treinen <treinen@debian.org>
> 
> * Package name    : garmin-plugin
>   Version         : 0.3.12-1
>   Upstream Author : Andreas Diesner <garminplugin@andreas-diesner.de>
> * URL             : http://www.andreas-diesner.de/garminplugin/
> * License         : GPL-3
>   Programming Lang: C++
>   Description     : browser plugin for communication with the Garmin Connect service
> 
>  This browser plugin has the same methods and properties as the official 
>  Garmin Communicator Plugin (http://www8.garmin.com/products/communicator/).
>  It can be used to transfer GPX files (Geocache Descriptions) to your garmin
>  device using the official Garmin Javascript API. Its functionality depends on
>  the device you use. 
>   - Edge305/Forerunner305: ReadFitnessData, ReadGpsData, No write support
>   - Edge705/Oregon/Dakota: ReadFitnessData, ReadGpsData, Write Gpx files
>   - Edge800: ReadFitnessData, Write Gpx/Tcx Files
>   - Other devices: Executes external command to write Gpx to device 

May I suggest to replace "to your garmin device" by "to Garmin
devices"?
Rationale:
- avoids personnalization
- capitalize Garmin

Also:
Other devices: executes an external command to write a GPX file to the
device

Probably standardize on "GPX", also

> Remarks:
> - will be team maintained by the the pkg-running team
> - possibly has to go into contrib since it is made for interaction with a
>   non-free service.

There could exist another service using the same protocol, so I think
it probably can still go to main.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ralf Treinen <treinen@debian.org>:
Bug#681404; Package wnpp. (Fri, 13 Jul 2012 15:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@pps.univ-paris-diderot.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ralf Treinen <treinen@debian.org>. (Fri, 13 Jul 2012 15:33:15 GMT) Full text and rfc822 format available.

Message #15 received at 681404@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@pps.univ-paris-diderot.fr>
To: pkg-running-devel@lists.alioth.debian.org, 681404@bugs.debian.org
Subject: Re: Bug#681404: [Pkg-running-devel] Bug#681404: ITP: garmin-plugin -- browser plugin for communication with the Garmin Connect service
Date: Fri, 13 Jul 2012 17:28:56 +0200
On Thu, Jul 12, 2012 at 08:33:23PM -0600, Christian PERRIER wrote:
> Quoting Ralf Treinen (treinen@debian.org):

> >  It can be used to transfer GPX files (Geocache Descriptions) to your garmin
> >  device using the official Garmin Javascript API. Its functionality depends on
> >  the device you use. 
> >   - Edge305/Forerunner305: ReadFitnessData, ReadGpsData, No write support
> >   - Edge705/Oregon/Dakota: ReadFitnessData, ReadGpsData, Write Gpx files
> >   - Edge800: ReadFitnessData, Write Gpx/Tcx Files
> >   - Other devices: Executes external command to write Gpx to device 
> 
> May I suggest to replace "to your garmin device" by "to Garmin
> devices"?
> Rationale:
> - avoids personnalization
> - capitalize Garmin
> 
> Also:
> Other devices: executes an external command to write a GPX file to the
> device
> 
> Probably standardize on "GPX", also

I will do that, thanks for your suggestions !

> > - possibly has to go into contrib since it is made for interaction with a
> >   non-free service.
> 
> There could exist another service using the same protocol, so I think
> it probably can still go to main.

Yes, in fact I talked yesterday to Ansgar Burchardt (FTP assistant) who told 
me not to worry about this and just upload to main. Twitter stuff is also
in main, for instance.

Cheers -Ralf
-- 
Ralf Treinen
Laboratoire Preuves, Programmes et Systèmes
Université Paris Diderot, Paris, France.
http://www.pps.univ-paris-diderot.fr/~treinen/
=====> New email address: treinen@pps.univ-paris-diderot.fr <=====




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 21 Oct 2012 19:06:06 GMT) Full text and rfc822 format available.

Reply sent to Ralf Treinen <treinen@debian.org>:
You have taken responsibility. (Wed, 14 Nov 2012 23:03:33 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@debian.org>:
Bug acknowledged by developer. (Wed, 14 Nov 2012 23:03:33 GMT) Full text and rfc822 format available.

Message #22 received at 681404-close@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: 681404-close@bugs.debian.org
Subject: Bug#681404: fixed in garmin-plugin 0.3.14-1
Date: Wed, 14 Nov 2012 23:00:07 +0000
Source: garmin-plugin
Source-Version: 0.3.14-1

We believe that the bug you reported is fixed in the latest version of
garmin-plugin, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 681404@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ralf Treinen <treinen@debian.org> (supplier of updated garmin-plugin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Oct 2012 20:09:22 +0200
Source: garmin-plugin
Binary: garmin-plugin
Architecture: source amd64
Version: 0.3.14-1
Distribution: unstable
Urgency: low
Maintainer: Debian running develpment group <pkg-running-devel@lists.alioth.debian.org>
Changed-By: Ralf Treinen <treinen@debian.org>
Description: 
 garmin-plugin - browser plugin for communication with the Garmin Connect service
Closes: 681404
Changes: 
 garmin-plugin (0.3.14-1) unstable; urgency=low
 .
   * Initial release (closes: #681404)
Checksums-Sha1: 
 d3621d737cc0ae014d0deed37057efe7e385326c 1521 garmin-plugin_0.3.14-1.dsc
 a85f5c2c009fa82b41e6a6cfeed1a43b413e6d63 117802 garmin-plugin_0.3.14.orig.tar.bz2
 20877330a758c3258fedba7d71ae05de9afc5d1b 3487 garmin-plugin_0.3.14-1.debian.tar.gz
 e13d653e06828800e12ee562a316266f351ddc76 124742 garmin-plugin_0.3.14-1_amd64.deb
Checksums-Sha256: 
 e00e10e0eab7ee3f045b66986cde591027eccb66407f05f9a8f005c749fa998a 1521 garmin-plugin_0.3.14-1.dsc
 6e05bef924833f5878049faae7207998496559fb81ed84b97248f383140513c6 117802 garmin-plugin_0.3.14.orig.tar.bz2
 d7d8a1bfc514f56e675232c9a9f2acacedad7bcd2db470bda8b3c410851e73d6 3487 garmin-plugin_0.3.14-1.debian.tar.gz
 a1d41115613a9e9e8885b3ae277c879132371974c6918fe3c009842c57888ca5 124742 garmin-plugin_0.3.14-1_amd64.deb
Files: 
 9818e5ae2d6c718c53aba8f03f1cefac 1521 utils extra garmin-plugin_0.3.14-1.dsc
 31c807fa5b00a4c8b3e4d5a78877af0d 117802 utils extra garmin-plugin_0.3.14.orig.tar.bz2
 6dd0b7927d86617d47eacd3840563bee 3487 utils extra garmin-plugin_0.3.14-1.debian.tar.gz
 f2ea68bc52c603c01dd01d90d023f2e7 124742 utils extra garmin-plugin_0.3.14-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCEPFoACgkQtzWmSeC6BMFZ1gCfazV8xwPjPAAssuU+jwkW+BOc
D94AoNby7k0gTK6wUeGVeDzruhpFZEPW
=vdme
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Dec 2012 07:25:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:57:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.